Subject: Re: bug#41242: Port feature/native-comp to Windows - Reduce the number of files probed when finding a lisp file.

From: Nicolas Bértolo <[email-masked]>
Date: Sun, 31 May 2020 12:34:16 -0300

Hi Andrea,

> I could not compile this patch because non all the calls to openp has
> been updated for the new parameter (my question on adding this stands).

Sorry. I didn't check the GNU/Linux build.

> In general please recall to check the stock build when working on
> infrastructure integration, it's quite easy to break.
I have tested that this new patch builds and bootstraps in windows x64,
Ubuntu 18.04 amd64. Both with and without nativecomp.

> Generally speaking I think the behavior we want to have is that when a
> .eln file is specified this is loaded without re-adding
> Vcomp_native_path_postfix.  I could not test it but I suspect this is
> not handled.

I tested moving company.eln to a directory in load-path without
`comp-native-path-postfix` and then ran (load "company.eln") and it was
loaded from that directory.

Nico.